Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.cache.interceptor
Class BeanFactoryCacheOperationSourceAdvisor

    java.lang.Object
      org.springframework.aop.support.AbstractPointcutAdvisor
          org.springframework.aop.support.AbstractBeanFactoryPointcutAdvisor
              org.springframework.cache.interceptor.BeanFactoryCacheOperationSourceAdvisor

All Implemented Interfaces:
  Serializable, Advisor, PointcutAdvisor, Aware, BeanFactoryAware, Ordered

    public class BeanFactoryCacheOperationSourceAdvisor

extends AbstractBeanFactoryPointcutAdvisor

Advisor driven by a `CacheOperationSource`, used to include a cache advice bean for methods that are cacheable.

Since:
  3.1
Author:
  Costin Leau
See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.springframework.core.Ordered
`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

Constructor Summary
`BeanFactoryCacheOperationSourceAdvisor()`

Method Summary
`Pointcut` | `getPointcut()` Get the Pointcut that drives this advisor.
`void` | `setCacheOperationSource(CacheOperationSource cacheOperationSource)` Set the cache operation attribute source which is used to find cache attributes.
`void` | `setClassFilter(ClassFilter classFilter)` Set the `ClassFilter` to use for this pointcut.

Methods inherited from class org.springframework.aop.support.AbstractBeanFactoryPointcutAdvisor
`getAdvice, getAdviceBeanName, setAdvice, setAdviceBeanName, setBeanFactory, toString`

Methods inherited from class org.springframework.aop.support.AbstractPointcutAdvisor
`equals, getOrder, hashCode, isPerInstance, setOrder`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BeanFactoryCacheOperationSourceAdvisor

    public BeanFactoryCacheOperationSourceAdvisor()

Method Detail

### setCacheOperationSource

    public void setCacheOperationSource(CacheOperationSource cacheOperationSource)

  Set the cache operation attribute source which is used to find cache attributes. This should usually be identical to the source reference set on the cache interceptor itself.

  See Also:
    `CacheInterceptor#setCacheAttributeSource`

### setClassFilter

    public void setClassFilter(ClassFilter classFilter)

  Set the `ClassFilter` to use for this pointcut. Default is `ClassFilter.TRUE`.

### getPointcut

    public Pointcut getPointcut()

  Description copied from interface: `PointcutAdvisor`
  Get the Pointcut that drives this advisor.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD